util.ui.customizableitems

## Class SortableItemList

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - javax.swing.JComponent
      - - javax.swing.JPanel
        - - util.ui.customizableitems.SortableItemList

- All Implemented Interfaces:
    java.awt.event.ActionListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible, ListDropAction

      public class SortableItemList
      extends javax.swing.JPanel
      implements java.awt.event.ActionListener, ListDropAction

  A sortable List
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.swing.JPanel

      `javax.swing.JPanel.AccessibleJPanel`

    - ### Nested classes/interfaces inherited from class javax.swing.JComponent

      `javax.swing.JComponent.AccessibleJComponent`

    - ### Nested classes/interfaces inherited from class java.awt.Container

      `java.awt.Container.AccessibleAWTContainer`

    - ### Nested classes/interfaces inherited from class java.awt.Component

      `java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected javax.swing.JButton` | `mBottomBtn`
    `protected javax.swing.JPanel` | `mBtnPanel`
    `protected javax.swing.JButton` | `mDownBt`
    `protected javax.swing.JList` | `mList`
    `protected javax.swing.DefaultListModel` | `mListModel`
    `static Localizer` | `mLocalizer`
    `protected javax.swing.JLabel` | `mTitleLb`
    `protected javax.swing.JButton` | `mTopBtn`
    `protected javax.swing.JButton` | `mUpBt`

    - ### Fields inherited from class javax.swing.JComponent

      `accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

    - ### Fields inherited from class java.awt.Component

      `BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SortableItemList()`
    `SortableItemList(ChannelJList list)` Create a new SortableItemList
    `SortableItemList(java.lang.String title)`
    `SortableItemList(java.lang.String title, java.lang.Object[] objects)`
    `SortableItemList(java.lang.String title, java.lang.Object[] objects, javax.swing.JList list)` Create a new SortableItemList

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `actionPerformed(java.awt.event.ActionEvent event)`
    `void` | `addButton(java.awt.Component comp)`
    `void` | `addElement(int inx, java.lang.Object o)`
    `void` | `addElement(java.lang.Object o)`
    `boolean` | `contains(java.lang.Object o)`
    `void` | `drop(javax.swing.JList source, javax.swing.JList target, int rows, boolean move)` The method that is called by the drop event.
    `javax.swing.JButton` | `getBottomButton()` Returns the Bottom-Button
    `javax.swing.JButton` | `getDownButton()` Returns the Down-Button
    `java.lang.Object[]` | `getItems()`
    `javax.swing.JList` | `getList()`
    `javax.swing.JButton` | `getTopButton()` Returns the Top-Button
    `javax.swing.JButton` | `getUpButton()` Returns the Up-Button
    `void` | `removeAllElements()`
    `void` | `removeElement(java.lang.Object o)`
    `void` | `removeElementAt(int inx)`
    `void` | `setCellRenderer(javax.swing.ListCellRenderer renderer)`
    `void` | `setTitle(java.lang.String title)`

    - ### Methods inherited from class javax.swing.JPanel

      `getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

    - ### Methods inherited from class javax.swing.JComponent

      `addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, hide, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingOrigin, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

    - ### Methods inherited from class java.awt.Container

      `add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, validate, validateTree`

    - ### Methods inherited from class java.awt.Component

      `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### mUpBt

          protected javax.swing.JButton mUpBt

    - #### mDownBt

          protected javax.swing.JButton mDownBt

    - #### mTopBtn

          protected javax.swing.JButton mTopBtn

    - #### mBottomBtn

          protected javax.swing.JButton mBottomBtn

    - #### mList

          protected javax.swing.JList mList

    - #### mTitleLb

          protected javax.swing.JLabel mTitleLb

    - #### mListModel

          protected javax.swing.DefaultListModel mListModel

    - #### mBtnPanel

          protected javax.swing.JPanel mBtnPanel

    - #### mLocalizer

          public static final Localizer mLocalizer

  - ### Constructor Detail

    - #### SortableItemList

          public SortableItemList()

    - #### SortableItemList

          public SortableItemList(java.lang.String title)

    - #### SortableItemList

          public SortableItemList(java.lang.String title,
                          java.lang.Object[] objects)

    - #### SortableItemList

          public SortableItemList(ChannelJList list)

      Create a new SortableItemList
      Parameters:
        `list` - List to use
      Since:
        2.2

    - #### SortableItemList

          public SortableItemList(java.lang.String title,
                          java.lang.Object[] objects,
                          javax.swing.JList list)

      Create a new SortableItemList
      Parameters:
        `title` - Title of the List
        `objects` - List-Items
        `list` - List to use
      Since:
        2.2

  - ### Method Detail

    - #### addButton

          public void addButton(java.awt.Component comp)

    - #### setTitle

          public void setTitle(java.lang.String title)

    - #### setCellRenderer

          public void setCellRenderer(javax.swing.ListCellRenderer renderer)

    - #### getList

          public javax.swing.JList getList()

    - #### addElement

          public void addElement(java.lang.Object o)

    - #### addElement

          public void addElement(int inx,
                        java.lang.Object o)

    - #### removeElementAt

          public void removeElementAt(int inx)

    - #### removeElement

          public void removeElement(java.lang.Object o)

    - #### removeAllElements

          public void removeAllElements()

    - #### contains

          public boolean contains(java.lang.Object o)

    - #### getItems

          public java.lang.Object[] getItems()

    - #### actionPerformed

          public void actionPerformed(java.awt.event.ActionEvent event)

      Specified by:
        `actionPerformed` in interface `java.awt.event.ActionListener`

    - #### getUpButton

          public javax.swing.JButton getUpButton()

      Returns the Up-Button
      Returns:
        Up-Button

    - #### getDownButton

          public javax.swing.JButton getDownButton()

      Returns the Down-Button
      Returns:
        Down-Button

    - #### getTopButton

          public javax.swing.JButton getTopButton()

      Returns the Top-Button
      Returns:
        Top-Button

    - #### getBottomButton

          public javax.swing.JButton getBottomButton()

      Returns the Bottom-Button
      Returns:
        Bottom-Button

    - #### drop

          public void drop(javax.swing.JList source,
                  javax.swing.JList target,
                  int rows,
                  boolean move)

      Description copied from interface: `ListDropAction`
      The method that is called by the drop event.
      Specified by:
        `drop` in interface `ListDropAction`
      Parameters:
        `source` - The source JList.
        `target` - The target JList.
        `rows` - The number of the row to move the entries to.
        `move` - Only move one entry from the source to the target list.

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)